Summary: The GNU Scientific Library for numerical analysis.
Name: gsl
Version: 1.5
Release: 2.rhel4
URL: http://sources.redhat.com/gsl/
Source: ftp://sources.redhat.com/pub/gsl/%{name}-%{version}.tar.gz
Patch0: gsl-1.1-nousr.patch
Patch1: gsl-1.5-lib64.patch
License: GPL 
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/install-info

%description
The GNU Scientific Library (GSL) is a collection of routines for
numerical analysis, written in C

%package devel
Summary: Static libraries and header files for GSL development.
Group: Development/Libraries
Requires: gsl = %{version}

%description devel

The gsl-devel package contains the header files and static libraries
necessary for developing programs using the GSL (GNU Scientific
Library).

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .lib64

%build
%configure
#touch doc/gsl-ref.info
make

%install
%makeinstall

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -rf $RPM_BUILD_ROOT%{_mandir}
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/gsl-ref.info.gz %{_infodir}/dir

%preun devel 
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gsl-ref.info.gz %{_infodir}/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%{_libdir}/*so.*
%{_libdir}/*.la
%{_bindir}/gsl-histogram
%{_bindir}/gsl-randist

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/gsl-config
%{_datadir}/aclocal/*
%{_includedir}/*
%{_infodir}/*info*
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Thu Feb 17 2005 Ivana Varekova <varekova@redhat.com> 1.5-2.rhel4
- fix bug #147678 gsl-config --libs produces wrong output (patch 2)

* Fri Jul 02 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- 1.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Aug 21 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.4

* Wed Jun 25 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.3

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Nov 29 2002 Tim Powers <timp@redhat.com> 1.1.1-4
- remove unpackaged files from the buildroot

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Mar 21 2002 Trond Eivind Glomsrd <teg@redhat.com>
- 1.1.1 bugfix release
- Stop the gsl-config script from printing -I/usr/include 
  and -L/usr/lib (#59500)


* Wed Feb 27 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.1-1
- 1.1
- Update URL and location

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Dec 13 2001 Trond Eivind Glomsrd <teg@redhat.com> 1.0-1
- 1.0
- Split into gsl and gsl-devel
- update description (#56926)

* Thu Jul 19 2001 Preston Brown <pbrown@redhat.com>
- upgrade to 0.9

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Jan 18 2001 Preston Brown <pbrown@redhat.com>
- prereq install-info (#24250)

* Mon Dec 11 2000 Preston Brown <pbrown@redhat.com>
- 0.7, remove excludearch for ia64

* Sun Jul 30 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- fix %%post to be a real shell and add ldconfig to %%post

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- don't include the info dir file...

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- add %%defattr

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- 0.6, FHS paths
- exclude ia64, it is having issues

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- update to 0.3f
- add patches to fix glibc-2.1 compilation, doc oddity

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- new summary/description, work around automake oddity

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize for arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Sat May 9 1998 Michael Fulbright <msf@redhat.com>
- started with package for gmp from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support
